Ryzom - Bug # 395

Status: Closed Priority: Normal
Author: Spex Category: NeL: General
Created: 02/24/2009 Assignee:

Updated: 09/30/2010 Due date:

Subject: Fix various compilation warnings and errors, especially for 64bit systems
Description

There are a number of mismatched types and type casts causing warnings or even compilation errors, especially on 64bit systems. A

partial patch has been provided by int-e (see attached file).

History

#1 - 02/24/2009 11:30 pm -

- Status changed from New

Spex

to Resolved

- % Done changed from 0 to 100

Applied in changeset r1076.

#2 - 05/11/2009 04:53 pm -

sfb

- Status changed from Resolved to Closed

#3 - 09/29/2010 09:29 pm -
- Project changed from NeL
- Category deleted (Misc)

kervala
to Ryzom

- Target version deleted (Version 0.7.0)

#4 - 09/30/2010 11:57 am -

kervala

- Category set to NeL: General

- Assignee deleted (Spex)

- Target version set to Version 0.7.0

%zu is not working under all compilers.

Files

0003-fix-compile-errors-and-warnings-when-sizeof-size_t.patch 4.2 kB 02/24/2009

08/23/2018

1/1

Spex




